commit:     1f859cab0726ca7216d678da890a0d1b169ab016
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 29 08:49:01 2016 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Tue Mar 29 08:49:10 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1f859cab

sys-auth/pam-pgsql: version bump to 0.7.3.2 #452652

 sys-auth/pam-pgsql/Manifest                 |  1 +
 sys-auth/pam-pgsql/pam-pgsql-0.7.3.2.ebuild | 51 +++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/sys-auth/pam-pgsql/Manifest b/sys-auth/pam-pgsql/Manifest
index fea7b50..5cdfa62 100644
--- a/sys-auth/pam-pgsql/Manifest
+++ b/sys-auth/pam-pgsql/Manifest
@@ -1,2 +1,3 @@
 DIST pam-pgsql-0.7.3.1.tar.gz 301678 SHA256 
c9327e7636e81a2d2bbaf4f017edbd9319a08df1654c9d1875e6f933750548dd SHA512 
dd8fe042ce8c6b46376430875953a8404ee1184d5603d7100de489a92569c71afe4e0f0324be8fcc309e3c84424a16303df61d64672ce615a59ba8508d8660b7
 WHIRLPOOL 
40033f0a506351c8facfd00b2e22c19eef0ca2922972b458e8c89456a442890ab967ec36855e395452122612fa2dd4dcf4825564d0e947bf4c97ab340ac127e1
+DIST pam-pgsql-0.7.3.2.tar.gz 712533 SHA256 
c4f9c22ec3a37fb6d8b201cc7d48c743a68ceb91773e386caa2269b63b0679ca SHA512 
d5766e56a13b0b4762fba10d624d12f130f2675f1f1772eaaf275b599f44adcf98287c2636462ba3faf46af139eb1bd157918c0c783040796562f37dec17a6d9
 WHIRLPOOL 
769d59de074b7dff56b44f046b5b4ab3d02a70c9a5b27227fba712847ab932dba6f73f68a119c82bd8d27b6e564be1411081cccd31c16e39a87410a39c44ad61
 DIST pam-pgsql-0.7.3.tar.gz 302305 SHA256 
0d1f4c2ca220a746b8750fa9c4c019e4129e16312b2cb46c78ef282dc018571b SHA512 
38fc64562ef00ebc3737451d4854891ad360a78716848e7b101e3805661c6319fa4b9ca19996b76cc6bc91afca66ff8aef84006dbc8e112aa4e601fc8ee2bcc4
 WHIRLPOOL 
f3c5f7548a62c97a3e77f7f4deda886ac3ab8f761ad98b59777c6b1b4ac0a1a722c40955faeebb4e57833ddaf9a740af946e8a8317b80b27b3a018128f850a3e

diff --git a/sys-auth/pam-pgsql/pam-pgsql-0.7.3.2.ebuild 
b/sys-auth/pam-pgsql/pam-pgsql-0.7.3.2.ebuild
new file mode 100644
index 0000000..fe75efd
--- /dev/null
+++ b/sys-auth/pam-pgsql/pam-pgsql-0.7.3.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+inherit eutils pam
+
+DESCRIPTION="pam module to authenticate users via PostgreSQL"
+HOMEPAGE="http://sourceforge.net/projects/pam-pgsql/";
+
+if [[ ${PV} == *_p* ]]; then
+       SRC_URI="http://www.flameeyes.eu/gentoo-distfiles/${P}.tar.gz";
+else
+       SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+fi
+
+RDEPEND="virtual/pam
+       >=dev-db/postgresql-8.0:=
+       >=dev-libs/libgcrypt-1.2.0:0="
+DEPEND="${RDEPEND}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+src_configure() {
+       econf \
+               --sysconfdir=/etc/security \
+               --libdir=/$(get_libdir) \
+               --docdir=/usr/share/doc/${PF}
+}
+
+src_compile() {
+       emake pammoddir="$(getpam_mod_dir)" || die "emake failed"
+}
+
+src_install() {
+       emake DESTDIR="${D}" pammoddir="$(getpam_mod_dir)" install
+       find "${ED}" -name '*.la' -delete
+}
+
+pkg_postinst() {
+       if [[ -z ${REPLACING_VERSIONS} ]] ; then
+               elog "Please see the documentation and configuration examples 
in the"
+               elog "documentation directory at /usr/share/doc/${PF}."
+               elog ""
+               elog "Please note that the default configuration file in Gentoo 
has been"
+               elog "moved to /etc/security/pam-pgsql.conf to follow the other 
PAM modules."
+       fi
+}

Reply via email to